var uri = 'http://www.mainichi-msn.co.jp/kurashi/shumi/etc/uchi/';
var comicUri;
var number;
var latestNumber;
var httpReq;
var textDoc;
var status;
var timeStamp;

// Initialize widget
function init() {
	if (window.widget) {
		widget.onshow = onShow;
	}

	timeStamp = 0;
	latestNumber = 0;
	lastTime = 'Thu, 01 Jan 1970 00:00:00 GMT';
}

function onShow() {
	getHTML();
}

function getHTML() {
	var lastGetTime;
	var dd = new Date();
	dd.setTime(timeStamp);
	lastGetTime = dd.toUTCString();

	httpReq = new XMLHttpRequest();
	httpReq.open('GET', uri, false);
	httpReq.setRequestHeader('If-Modified-Since', lastGetTime);
	httpReq.send(null);

	if (httpReq.status == 200) {
		status = 'HTTP Status: ' + httpReq.status;
		textDoc = httpReq.responseText;
		timeStamp = (new Date).getTime();

		if (textDoc.match(/src=\"\/kurashi\/shumi\/etc\/uchi\/(\d+)\.gif\"/)) {
			number = RegExp.$1;
			comicUri = uri + number + '.gif';
			if (number != latestNumber) {
				document.getElementById('comic').setAttribute('src', comicUri);
				latestNumber = number;
			}
		}
	} else if (httpReq.status == 304) {
		
	} else {
		status = 'Failed: ' + httpReq.status;
	}

	document.getElementById('uri').innerText = comicUri;
	document.getElementById('status').innerText = status;
}

